<Project Sdk="Microsoft.NET.Sdk">

    <PropertyGroup>
        <TargetFramework>netstandard2.1</TargetFramework>
        <GenerateDocumentationFile>true</GenerateDocumentationFile>
    </PropertyGroup>

    <ItemGroup>
        <PackageReference Include="System.Collections.Immutable"/>
        <PackageReference Include="System.Text.Json"/>
    </ItemGroup>
    <ItemGroup>
        <ProjectReference Include="..\PkmnLib.Static\PkmnLib.Static.csproj"/>
    </ItemGroup>
    <ItemGroup>
        <Compile Update="AI\Explicit\ExplicitAI.*.cs">
            <DependentUpon>ExplicitAI.cs</DependentUpon>
        </Compile>
    </ItemGroup>

</Project>
